#
# spec file for package python-xlwt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-xlwt
Version:        1.0.0
Release:        5.3
Url:            https://secure.simplistix.co.uk/svn/xlwt/trunk
Summary:        Library to Create Spreadsheet Files Compatible With MS Excel 97/2000/XP/2003
License:        BSD-4-Clause and BSD-3-Clause and LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/x/xlwt/xlwt-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-pkginfo
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
xlwt is a library for generating spreadsheet files that are compatible
with Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt has
full support for Unicode. Excel spreadsheets can be generated on any
platform without needing Excel or a COM server. The only requirement is
Python 2.3 to 2.6. xlwt is a fork of pyExcelerator.

%prep
%setup -q -n xlwt-%{version}
# fix end of line encoding
sed -i 's/\r$//' examples/{numbers_demo.py,panes2.py,image_chg_col_wid.py,zoom_magnification.py}

%build
python setup.py build
cd docs && make html && rm _build/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc docs/_build/html examples
%{python_sitelib}/*

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 1.0.0:
  * Python 3 support.
  * Initial set of unit tests.
  * An initial set of Sphinx documentation.
  * Move to setuptools for packaging.
  * Wire up Travis, Coveralls and ReadTheDocs.
  * Allow longs as row indexes.
- add new dependencies python-Sphinx, python-nose, python-pkginfo,
  python-setuptools
- only define python_sitelib for SLE11 and remove %%py_requires
- fix end of line encoding of examples scripts
- remove CFLAGS declaration
- build the documentation with sphinx
- run the tests with nosetests
- update the paths of doc and examples: changed upstream
* Wed Sep 18 2013 idonmez@suse.com
- Update to version 0.7.5
  * No changelog provided upstream
* Thu Dec 27 2012 cfarrell@suse.com
- license update: BSD-4-Clause and BSD-3-Clause and LGPL-2.1+
  See licenses.py and xlwt/Util.py
* Fri Apr 27 2012 jfunk@funktronics.ca
- Update to 0.7.4
  * No change information available
* Tue Feb 21 2012 jfunk@funktronics.ca
- Update to 0.7.3
- Update spec for current conventions
* Wed May 12 2010 jfunk@funktronics.ca
- Initial release
